hwloc_component(3)

NAME
hwloc_component -

SYNOPSIS

#include <plugins.h>

  Data Fields
unsigned abi
hwloc_component_type_t type
unsigned long flags
void * data

Detailed Description

Generic component structure. Generic components structure, either statically listed by configure in static-components.h or dynamically loaded as a plugin.

Field Documentation

  unsigned hwloc_component::abi

Component ABI version, set to HWLOC_COMPONENT_ABI.

  void* hwloc_component::data

Component data, pointing to a struct hwloc_disc_component or struct hwloc_xml_component.

  unsigned long hwloc_component::flags

Component flags, unused for now.

  hwloc_component_type_t hwloc_component::type

Component type.

Author

Generated automatically by Doxygen for Hardware Locality (hwloc) from the source code.